MWAWList Class Reference

a small structure used to store the informations about a list More...

`#include <MWAWList.hxx>`

## Public Member Functions

| MWAWList ()
| default constructor More...
int | getId () const
| returns the list id More...
void | resize (int levl)
| resize the number of level of the list (keeping only n level) More...
bool | isCompatibleWith (int levl, MWAWListLevel const &level) const
| returns true if we can add a new level in the list without changing is meaning More...
bool | isCompatibleWith (MWAWList const &newList) const
| returns true if the list is compatible with the defined level of new list More...
void | updateIndicesFrom (MWAWList const &list)
| update the indices, the actual level from newList More...
void | swapId () const
| swap the list id More...
void | setId (int newId) const
| set the list id More...
MWAWListLevel | getLevel (int levl) const
| returns a level if it exists More...
int | numLevels () const
| returns the number of level More...
void | set (int levl, MWAWListLevel const &level)
| sets a level More...
void | setLevel (int levl) const
| set the list level More...
void | openElement () const
| open the list element More...
void | closeElement () const
| close the list element More...
int | getStartValueForNextElement () const
| returns the startvalue corresponding to the actual level ( or -1 for an unknown/unordered list) More...
void | setStartValueForNextElement (int value)
| set the startvalue corresponding to the actual level More...
bool | isNumeric (int levl) const
| returns true is a level is numeric More...
void | sendTo (WPXDocumentInterface &docInterface, int level) const
| send the list level information to the document interface. More...

## Protected Attributes

std::vector< MWAWListLevel > | m_levels
| the different levels More...
int | m_actLevel
| the actual levels More...
std::vector< int > | m_actualIndices
std::vector< int > | m_nextIndices
int | m_id [2]
| the identificator ( actual and auxilliar ) More...

## Detailed Description

a small structure used to store the informations about a list

## Constructor & Destructor Documentation

MWAWList::MWAWList | ( |  | ) |

inline

default constructor

## Member Function Documentation

void MWAWList::closeElement | ( |  | ) | const

inline

close the list element

int MWAWList::getId | ( |  | ) | const

inline

returns the list id

Referenced by MWAWListManager::send(), and sendTo().

MWAWListLevel MWAWList::getLevel | ( | int | levl | ) | const

inline

returns a level if it exists

int MWAWList::getStartValueForNextElement | ( |  | ) | const

returns the startvalue corresponding to the actual level ( or -1 for an unknown/unordered list)

bool MWAWList::isCompatibleWith | ( | int | levl,
|  | MWAWListLevel const & | level
| ) |  | const

returns true if we can add a new level in the list without changing is meaning

bool MWAWList::isCompatibleWith | ( | MWAWList const & | newList | ) | const

returns true if the list is compatible with the defined level of new list

bool MWAWList::isNumeric | ( | int | levl | ) | const

returns true is a level is numeric

Referenced by getStartValueForNextElement(), openElement(), and sendTo().

int MWAWList::numLevels | ( |  | ) | const

inline

returns the number of level

Referenced by MWAWListManager::send().

void MWAWList::openElement | ( |  | ) | const

open the list element

void MWAWList::resize | ( | int | levl | ) |

resize the number of level of the list (keeping only n level)

Referenced by MWAWListManager::getNewList(), and set().

void MWAWList::sendTo | ( | WPXDocumentInterface & | docInterface,
|  | int | level
| ) |  | const

send the list level information to the document interface.

Referenced by MWAWListManager::send().

void MWAWList::set | ( | int | levl,
|  | MWAWListLevel const & | level
| ) |  |

sets a level

Referenced by MWAWListManager::getNewList().

void MWAWList::setId | ( | int | newId | ) | const

set the list id

Referenced by MWAWListManager::getNewList(), and sendTo().

void MWAWList::setLevel | ( | int | levl | ) | const

set the list level

void MWAWList::setStartValueForNextElement | ( | int | value | ) |

set the startvalue corresponding to the actual level

void MWAWList::swapId | ( |  | ) | const

inline

swap the list id

Note
  a cheat because writerperfect imposes to get a new id if the level 1 changes

Referenced by MWAWListManager::send().

void MWAWList::updateIndicesFrom | ( | MWAWList const & | list | ) |

update the indices, the actual level from newList

## Member Data Documentation

int MWAWList::m_actLevel

mutable protected

the actual levels

Referenced by getStartValueForNextElement(), openElement(), resize(), setLevel(), and setStartValueForNextElement().

std::vector<int> MWAWList::m_actualIndices

mutable protected

Referenced by openElement(), resize(), setLevel(), and updateIndicesFrom().

int MWAWList::m_id[2]

mutable protected

the identificator ( actual and auxilliar )

Referenced by getId(), MWAWList(), setId(), and swapId().

std::vector<MWAWListLevel> MWAWList::m_levels

protected

the different levels

Referenced by getLevel(), getStartValueForNextElement(), isCompatibleWith(), isNumeric(), numLevels(), openElement(), resize(), sendTo(), set(), setLevel(), setStartValueForNextElement(), and updateIndicesFrom().

std::vector<int> MWAWList::m_nextIndices

mutable protected

Referenced by getStartValueForNextElement(), openElement(), resize(), set(), setLevel(), setStartValueForNextElement(), and updateIndicesFrom().

The documentation for this class was generated from the following files:

- MWAWList.hxx
- MWAWList.cxx